<HTML>
<HEAD>
<TITLE>Response from the SOAP server at /soap/servlet/rpcrouter</TITLE>
<STYLE>
P.section {background:gray; color:white; font:normal 10pt "Helvetica"}
PRE.code {border:double medium green}
</STYLE>
</HEAD>
<BODY>
<%@ page import="java.io.*, java.net.*" %>
<%
	String input = request.getParameter("input");
	if (input == null || input.equals(""))
	{
		out.println("<B>Try http://localhost:8080/callSOAP?input=doubleValue</B>");
		return;
	}
%>
<P CLASS="section">Here is the request that is being sent to the server:</P>
<CODE>
<PRE CLASS="CODE">
&lt;?xml version='1.0' encoding='UTF-8'?&gt;
&lt;SOAP-ENV:Envelope
		xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/"
		xmlns:xsi="http://www.w3.org/1999/XMLSchema-instance"
		xmlns:xsd="http://www.w3.org/1999/XMLSchema"&gt;
	&lt;SOAP-ENV:Body&gt;
		&lt;ns1:c2f xmlns:ns1="urn:temperatureConverter"
			SOAP-ENV:encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"&gt;
			&lt;value xsi:type="xsd:double"&gt;
			<%= request.getParameter("input") %>
			&lt;/value&gt;
		&lt;/ns1:c2f&gt;
	&lt;/SOAP-ENV:Body&gt;
&lt;/SOAP-ENV:Envelope&gt;
</PRE>
</CODE>
<HR>
<P CLASS="section">Response received is displayed below:</P>
<BR>
<CODE>
<PRE CLASS="CODE">
<%
	// We will open a socket to the soap server.
	// Generate an xml file.
	// Send it and simply print the response back for you
	// to see.
	
	Socket socket = new Socket(request.getServerName(),
		request.getServerPort());
		
	
	socket.setSoTimeout(10000);
	
	PrintWriter socketOutput = new PrintWriter(
			socket.getOutputStream(), true);

	int contentLength = 0;
	
	StringBuffer buffer = new StringBuffer("");
	buffer.append("<?xml version='1.0' encoding='UTF-8'?>");
	buffer.append("<SOAP-ENV:Envelope ");
	buffer.append("xmlns:SOAP-ENV=\"http://schemas.xmlsoap.org/soap/envelope/\" ");
	buffer.append("xmlns:xsi=\"http://www.w3.org/1999/XMLSchema-instance\" ");
	buffer.append("xmlns:xsd=\"http://www.w3.org/1999/XMLSchema\">");
	buffer.append("<SOAP-ENV:Body>");
	buffer.append("<ns1:c2f xmlns:ns1=\"urn:temperatureConverter\" ");
	buffer.append("SOAP-ENV:encodingStyle=\"http://schemas.xmlsoap.org/soap/encoding/\">");
	buffer.append("<value xsi:type=\"xsd:double\">");
	buffer.append(request.getParameter("input") + "</value>");
	buffer.append("</ns1:c2f>");
	buffer.append("</SOAP-ENV:Body>");	
	buffer.append("</SOAP-ENV:Envelope>");

	contentLength = buffer.length();
	
	socketOutput.println("POST /soap/servlet/rpcrouter HTTP/1.1");
	socketOutput.println("Accept-Language: en-us");
	socketOutput.println("Host: localhost:8080");
	socketOutput.println("Content-Type: text/xml; charset=utf-8");
	socketOutput.println("Content-Length: " + contentLength);
	socketOutput.println("SOAPAction: \"\"");
	socketOutput.println("");
	socketOutput.println(buffer);
	
	BufferedReader reader = new BufferedReader(
			new InputStreamReader(socket.getInputStream()));
	
	String result = null;
	while ((result = reader.readLine()) != null)
	{
		if (result.equals(""))
		{
			//out.println("</PRE><xml id=\"xml01\"");
		}
		out.println(filter(result));
		out.flush();
	}
%>
<%!
	private String filter(String str)
	{// Replaces < and > with &lt; and &gt; respectively.
		StringBuffer buffer = new StringBuffer();
		int size = str.length();
		for (int i = 0; i < size; i++)
		{
			char ch = str.charAt(i);
			if (ch == '<')
			{			
				buffer.append("&lt;");
			}
			else
			{
				if (ch == '>')
				{
					buffer.append("&gt;");
				}
				else
				{
					buffer.append(ch);
				}
			}
		}
		return buffer.toString();
	}
%>
</PRE>
</CODE>
</BODY>
</HTML>




