<?xml version="1.0" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:template match="/">

<HTML>
	<TITLE>Catalog</TITLE>
	<BODY>
		<table border="2">
		<TR>
			<TH>Title</TH>
			<TH>Authors</TH>
			<TH>Publication Year</TH>
		</TR>
			<xsl:for-each select="//Book">
			<xsl:sort order="ascending" select="Title"/>
			<xsl:sort order="descending" select="PublicationYear"/>
			
			<TR>
				<TD> <xsl:value-of select="Title"/> </TD>
				<TD> <xsl:apply-templates select="Authors"/> </TD>
				<TD><xsl:value-of select="PublicationYear"/>&#160;</TD>
			</TR>			
		</xsl:for-each>
		</table>
	</BODY>
</HTML>
</xsl:template>
<xsl:template match="Authors">
	<table>
		<xsl:for-each select="Author">
			<tr><td><xsl:value-of select="."/></td></tr>
		</xsl:for-each>
	</table>
</xsl:template>
</xsl:stylesheet>
